GlueGen: com.jogamp.common.util.ValueConv Class Reference

GlueGen v2.6.0 GlueGen, Native Binding Generator for Java™ (public API).

Static Public Member Functions | List of all members
com.jogamp.common.util.ValueConv Class Reference

Copyright 2012 JogAmp Community. More...

Collaboration diagram for com.jogamp.common.util.ValueConv:

## Static Public Member Functions

static final byte | float_to_byte (final float v, final boolean dSigned)
static final short | float_to_short (final float v, final boolean dSigned)
static final int | float_to_int (final float v, final boolean dSigned)
static final byte | double_to_byte (final double v, final boolean dSigned)
static final short | double_to_short (final double v, final boolean dSigned)
static final int | double_to_int (final double v, final boolean dSigned)
static final float | byte_to_float (final byte v, final boolean sSigned)
static final double | byte_to_double (final byte v, final boolean sSigned)
static final float | short_to_float (final short v, final boolean sSigned)
static final double | short_to_double (final short v, final boolean sSigned)
static final float | int_to_float (final int v, final boolean sSigned)
static final double | int_to_double (final int v, final boolean sSigned)
static final short | byte_to_short (final byte v, final boolean sSigned, final boolean dSigned)
static final int | byte_to_int (final byte v, final boolean sSigned, final boolean dSigned)
static final byte | short_to_byte (final short v, final boolean sSigned, final boolean dSigned)
static final int | short_to_int (final short v, final boolean sSigned, final boolean dSigned)
static final byte | int_to_byte (final int v, final boolean sSigned, final boolean dSigned)
static final short | int_to_short (final int v, final boolean sSigned, final boolean dSigned)

## Detailed Description

Copyright 2012 JogAmp Community.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY JogAmp Community `‘AS IS’' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL JogAmp Community OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

The views and conclusions contained in the software and documentation are those of the authors and should not be interpreted as representing official policies, either expressed or implied, of JogAmp Community. Utility class providing simple signed and unsigned primitive value conversions for byte, short, int, float and double.

Non float to non float conversions are handled via float or double, depending on the value range.

Definition at line 39 of file ValueConv.java.

## Member Function Documentation

## ◆ byte_to_double()

static final double com.jogamp.common.util.ValueConv.byte_to_double | ( | final byte | v,
|  | final boolean | sSigned
| ) |  |

static

Definition at line 99 of file ValueConv.java.

## ◆ byte_to_float()

static final float com.jogamp.common.util.ValueConv.byte_to_float | ( | final byte | v,
|  | final boolean | sSigned
| ) |  |

static

Definition at line 92 of file ValueConv.java.

Here is the caller graph for this function:

## ◆ byte_to_int()

static final int com.jogamp.common.util.ValueConv.byte_to_int | ( | final byte | v,
|  | final boolean | sSigned,
|  | final boolean | dSigned
| ) |  |

static

Definition at line 144 of file ValueConv.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ byte_to_short()

static final short com.jogamp.common.util.ValueConv.byte_to_short | ( | final byte | v,
|  | final boolean | sSigned,
|  | final boolean | dSigned
| ) |  |

static

Definition at line 141 of file ValueConv.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ double_to_byte()

static final byte com.jogamp.common.util.ValueConv.double_to_byte | ( | final double | v,
|  | final boolean | dSigned
| ) |  |

static

Definition at line 67 of file ValueConv.java.

## ◆ double_to_int()

static final int com.jogamp.common.util.ValueConv.double_to_int | ( | final double | v,
|  | final boolean | dSigned
| ) |  |

static

Definition at line 83 of file ValueConv.java.

## ◆ double_to_short()

static final short com.jogamp.common.util.ValueConv.double_to_short | ( | final double | v,
|  | final boolean | dSigned
| ) |  |

static

Definition at line 75 of file ValueConv.java.

## ◆ float_to_byte()

static final byte com.jogamp.common.util.ValueConv.float_to_byte | ( | final float | v,
|  | final boolean | dSigned
| ) |  |

static

Definition at line 40 of file ValueConv.java.

Here is the caller graph for this function:

## ◆ float_to_int()

static final int com.jogamp.common.util.ValueConv.float_to_int | ( | final float | v,
|  | final boolean | dSigned
| ) |  |

static

Definition at line 55 of file ValueConv.java.

Here is the caller graph for this function:

## ◆ float_to_short()

static final short com.jogamp.common.util.ValueConv.float_to_short | ( | final float | v,
|  | final boolean | dSigned
| ) |  |

static

Definition at line 48 of file ValueConv.java.

Here is the caller graph for this function:

## ◆ int_to_byte()

static final byte com.jogamp.common.util.ValueConv.int_to_byte | ( | final int | v,
|  | final boolean | sSigned,
|  | final boolean | dSigned
| ) |  |

static

Definition at line 155 of file ValueConv.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ int_to_double()

static final double com.jogamp.common.util.ValueConv.int_to_double | ( | final int | v,
|  | final boolean | sSigned
| ) |  |

static

Definition at line 133 of file ValueConv.java.

## ◆ int_to_float()

static final float com.jogamp.common.util.ValueConv.int_to_float | ( | final int | v,
|  | final boolean | sSigned
| ) |  |

static

Definition at line 121 of file ValueConv.java.

Here is the caller graph for this function:

## ◆ int_to_short()

static final short com.jogamp.common.util.ValueConv.int_to_short | ( | final int | v,
|  | final boolean | sSigned,
|  | final boolean | dSigned
| ) |  |

static

Definition at line 158 of file ValueConv.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ short_to_byte()

static final byte com.jogamp.common.util.ValueConv.short_to_byte | ( | final short | v,
|  | final boolean | sSigned,
|  | final boolean | dSigned
| ) |  |

static

Definition at line 148 of file ValueConv.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ short_to_double()

static final double com.jogamp.common.util.ValueConv.short_to_double | ( | final short | v,
|  | final boolean | sSigned
| ) |  |

static

Definition at line 113 of file ValueConv.java.

## ◆ short_to_float()

static final float com.jogamp.common.util.ValueConv.short_to_float | ( | final short | v,
|  | final boolean | sSigned
| ) |  |

static

Definition at line 106 of file ValueConv.java.

Here is the caller graph for this function:

## ◆ short_to_int()

static final int com.jogamp.common.util.ValueConv.short_to_int | ( | final short | v,
|  | final boolean | sSigned,
|  | final boolean | dSigned
| ) |  |

static

Definition at line 151 of file ValueConv.java.

Here is the call graph for this function:
Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- src/java/com/jogamp/common/util/ValueConv.java